.tooltip.tooltipPriceAction {
  margin-right: -1rem;
  padding: 0.5rem;
  width: 7rem;
  text-align: center;
}

.tooltip.tooltipButtonBack {
  padding: 0.625rem;

  .tooltip-content {
    display: flex;
    align-items: center;

    .button {
      margin: 0 0 0 0.5rem;
    }
    .button.buttonOutline {
      color: var(--color-main);
      &:hover, &:active, &:focus {
        background-color: var(--bg-lightest);
      }
    }
  }
}

.priceUpload {
  & &-subtitle {
    padding: 0.5rem 0;
  }
  & &-back {
    padding-bottom: 1rem;
    .buttonBack {
      display: flex;
      align-items: center;
      padding: 0;
      margin: 0;
      font-size: 0.875rem;
      background: none;
      border: none;
      outline: none;
      box-shadow: none;
      cursor: pointer;

      .svg {
        display: block;
        margin-right: 0.5rem;
        width: 0.3125rem;
        height: auto;
        transform: rotate(180deg);
        fill: var(--link-color);
      }
    }
  }

  & &-content {
    display: block;
    padding: 1.5rem 2.5rem 4rem;
    width: 100%;

    .multiselect {
      .multiselect__placeholder {
        font-weight: var(--font-weight-regular);
        color: var(--placeholder-color);
      }
    }

    .multiselect._table-filter {
      width: 100%;
      min-width: 100%;
      max-width: 100%;
    }

    .inputRadio._fileUploadType {
      .inputRadio-label {
        font-size: 0.875rem;
      }
    }

    .inputRadio-input:checked + .inputRadio-label {
      font-weight: var(--font-weight-medium);
    }

    .button.buttonNewUpload,
    .button.buttonCallTemplate {
      padding-left: 2rem;
      padding-right: 2rem;
      min-width: 15rem;
    }

    .button.buttonAddOne {
      margin-left: 1rem;
      box-shadow: none;
      background-color: var(--form-switch-bg);

      &:hover, &:active, &:focus {
        background-color: var(--form-switch-hover-bg);
      }

      &._selected {
        background-color: var(--form-switch-active-bg);
        box-shadow: inset 0 1px 2px rgba(0, 0, 0, .13);
        pointer-events: none;
      }
    }

    .button .svg.plus {
      display: inline-block;
      margin-right: .5rem;
      width: 0.5rem;
      height: auto;
    }

    .buttonMore {
      display: flex;
      align-items: center;
      padding: 0;
      font-size: 0.875rem;
      line-height: 1.4;
      color: var(--link-color);
      background: none;
      border: none;
      box-shadow: none;
      outline: none;
      cursor: pointer;
      &:hover {
        color: var(--link-hover-color);
        .svg {
          fill: var(--link-hover-color);
        }
      }
      &:active, &:focus {
        color: var(--link-active-color);
        .svg {
          fill: var(--link-active-color);
        }
      }

      &.-opened {
        .svg {
          transform: rotate(180deg);
        }
      }

      .svg {
        margin-left: 0.5rem;
        width: 0.625rem;
        height: auto;
        fill: var(--link-color);
      }
    }
  }

  & &-info {
    display: block;
    padding: 0.5rem 0;

    &-text {
      display: block;
      font-size: 1.125rem;
      font-weight: var(--font-weight-medium);
    }

    .button.buttonNewUpload,
    .button.buttonCallTemplate {
      margin: 1.5rem 0;
    }

    .paragraph {
      max-width: 40rem;
      padding-top: 1rem;
    }

    .list {
      display: block;
      margin: 0;
      max-width: 40rem;
      list-style-type: disc;
      padding: 0.375rem 0 0 1.5rem;
      font-size: 0.875rem;
    }
  }

  & &-table {
    &-header {
      display: flex;
      align-items: center;
      justify-content: flex-start;
      padding: 1.5rem 0;

      > .inputRadio {
        margin-left: auto;
      }
    }
  }

  & &-settings {
    .uploadType {
      display: flex;
      padding: 1.5rem 0;
      width: 100%;

      &-item {
        display: inline-flex;
        align-items: center;
        padding-right: 1rem;
        font-size: 0.875rem;
        font-weight: var(--font-weight-medium);
      }
    }
  }

  .priceLabel {
    display: flex;
    justify-content: flex-end;
    padding-right: 1rem;
    width: 11rem;
    min-width: 11rem;
    max-width: 11rem;
    text-align: right;
    font-size: 0.875rem;
    line-height: 1.2;
    font-weight: var(--font-weight-medium);
    &._align-top {
      margin-top: 0.25rem;
      margin-bottom: auto;
    }
    &._auto {
      padding: 0 0.5rem;
      width: auto;
      min-width: auto;
      max-width: none;
    }
    &._small {
      padding: 0 0.5rem;
      width: 7.5rem;
      min-width: 7.5rem;
      max-width: 7.5rem;
    }
    &._medium {
      padding: 0 0.5rem;
      width: 9.25rem;
      min-width: 9.25rem;
      max-width: 9.25rem;
    }
    span + span {
      padding-left: 1rem;
    }
  }

  .priceComment {
    display: block;
    padding-left: 1rem;
    padding-right: 1rem;
    font-size: 0.75rem;
    line-height: 1.2;
    color: var(--color-main-lightest);
  }

  .button {
    white-space: nowrap;
  }
}